package com.winhc.repal.model.dto;

import com.winhc.repal.model.bo.PageRequest;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @Description: ReturnedBillDTO
 * @Author: xda
 * @Date: 2022/5/19 10:09
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("回款列表")
public class ReturnedBillDTO extends PageRequest {

    @ApiModelProperty("搜索词")
    private String keyword;

    @ApiModelProperty(hidden = true)
    private Long repalGroupId;

    @ApiModelProperty(hidden = true)
    private Long userId;

    @ApiModelProperty(value = "账本id", required = true)
    private Long repalBookId;

    @ApiModelProperty("排序类型。1日期升序。2日期降序。3总金额升序。4总金额降序")
    private Integer sortedType;

}
